Bug 1161649 - Weird behaviour when creating parameters for procedure
Summary: Weird behaviour when creating parameters for procedure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER5
: 6.1.0
Assignee: Barry LaFond
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 14:48 UTC by Andrej Smigala
Modified: 2015-11-17 18:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If, whilst using Microsoft Windows, you try to add parameters using any JBDS Teiid tooling dialogue box that allows you to input them, the view will jump and open the dropdown for a different parameter. This does not happen consistently: sometimes it works when a different column is selected first
Clone Of:
Environment:
Last Closed: 2015-11-17 18:05:03 UTC
Type: Bug


Attachments (Terms of Use)
screencast (375.69 KB, application/octet-stream)
2014-11-07 14:48 UTC, Andrej Smigala
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIIDDES-2387 Minor Closed Weird behaviour when creating parameters for procedure 2015-02-18 12:20:12 UTC

Description Andrej Smigala 2014-11-07 14:48:47 UTC
Created attachment 954963 [details]
screencast

Adding of parameters to procedures behaves in a weird way (see attached screencast) on Windows, which prevents changing some parameters' data type. This happens in all dialogs that have parameter inputs (Relational View Procedure, Source Procedure, Source Function, Native Query Procedure), but not for e.g. columns input.


Steps to reproduce:
1. Open the Create Relational View Procedure dialog
2. Switch to the paramters tab
3. Create enough new parameters for the last one to go off screen (so that it requires scrolling to see it)
4. Try to change that last parameter's data type, the view will jump and open the dropdown for a different parameter

This does not happen consistently, sometimes it works when a different column is selected first


JBDS 8.0.0
Windows 7

Comment 2 JBoss JIRA Server 2014-11-07 17:07:50 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2387 to Resolved

Comment 3 JBoss JIRA Server 2015-02-18 12:20:12 UTC
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2387 to Closed


Note You need to log in before you can comment on or make changes to this bug.